
Core - Task # 52287

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-09-26 Assigned To:
Updated: 2013-09-27 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: medium
Sprint Focus:
Subject: Move configuration code from bootstrap to install
Description

Associated revisions
Revision 9b381d47 - 2013-09-26 23:38 - Christian Kuhn

[TASK] Move configuration code from bootstrap to ext:install

Some methods in boostrap silently change TYPO3_CONF_VARS to adapt
some settings. Those methods are moved to the install tool as
"silent upgrade" to write out configuration options.
The silent upgrade code within StepController is extracted to
an own class for better encapsulation.

Change-Id: Id68bfdce7ffb661fb341e21eb8a26a03fe76ac07
Resolves: #52287
Releases: 6.2
Reviewed-on: https://review.typo3.org/24060
Reviewed-by: Thomas Maroschik
Reviewed-by: Wouter Wolters
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-09-26 13:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24060

#2 - 2013-09-27 00:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:9b381d4729b1fb847cda64c8cf9f07ca036cf289.
